package com.jiuqi.sql;

package .tmp;

import com.jiuqi.sql.SQLPretreatment;

class CharReader {
  private int curPos = 0;
  
  public static final char EOF = '\000';
  
  public boolean isEnd() {
    return !(SQLPretreatment.access$0(SQLPretreatment.this) != null && this.curPos < SQLPretreatment.access$0(SQLPretreatment.this).length());
  }
  
  public char read() {
    if (isEnd())
      return Character.MIN_VALUE; 
    return SQLPretreatment.access$0(SQLPretreatment.this).charAt(this.curPos++);
  }
  
  public char peek() {
    if (isEnd())
      return Character.MIN_VALUE; 
    return SQLPretreatment.access$0(SQLPretreatment.this).charAt(this.curPos);
  }
  
  public char peekNext() {
    if (SQLPretreatment.access$0(SQLPretreatment.this) == null)
      return Character.MIN_VALUE; 
    return (this.curPos + 1 >= SQLPretreatment.access$0(SQLPretreatment.this).length()) ? Character.MIN_VALUE : SQLPretreatment.access$0(SQLPretreatment.this).charAt(this.curPos + 1);
  }
  
  public char peek(int offset) {
    if (SQLPretreatment.access$0(SQLPretreatment.this) == null)
      return Character.MIN_VALUE; 
    int newPos = this.curPos + offset;
    return (newPos < 0 || newPos >= SQLPretreatment.access$0(SQLPretreatment.this).length()) ? Character.MIN_VALUE : SQLPretreatment.access$0(SQLPretreatment.this).charAt(newPos);
  }
  
  public boolean check(int offset, char[] charSet) {
    if (charSet == null)
      return false; 
    char ch = peek(offset);
    for (int i = 0; i < charSet.length; i++) {
      if (charSet[i] == ch)
        return true; 
    } 
    return false;
  }
  
  private CharReader() {}
}
